FinWise API
SupportChangelog

Delete a merchant

Delete a merchant you created.

DELETE/merchants/d4dd1cbe-d349-4089-ad63-b98921426656
curl https://api.finwiseapp.io/merchants/d4dd1cbe-d349-4089-ad63-b98921426656 \
-X DELETE \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/merchants/d4dd1cbe-d349-4089-ad63-b98921426656', {
method: 'DELETE',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
})
const data = await response.json()
Response
{
"id": "d4dd1cbe-d349-4089-ad63-b98921426656",
"createdAt": "2026-03-14T09:00:00.000Z",
"updatedAt": "2026-03-14T09:00:00.000Z",
"name": "Walmart",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45"
}